Download statement PDF
curl --request GET \
--url https://api.modulate.aurorapayments.net/api/partner/merchants/{merchant_id}/statements/{statement_id}/pdfimport requests
url = "https://api.modulate.aurorapayments.net/api/partner/merchants/{merchant_id}/statements/{statement_id}/pdf"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.modulate.aurorapayments.net/api/partner/merchants/{merchant_id}/statements/{statement_id}/pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Statements
Download Statement PDF
Download a statement as raw PDF stream or base64-encoded JSON. Use ?format=base64 for JSON delivery.
GET
/
api
/
partner
/
merchants
/
{merchant_id}
/
statements
/
{statement_id}
/
pdf
Download statement PDF
Path Parameters
Merchant ID
Required string length:
1 - 50Statement ID
Required string length:
1 - 200Query Parameters
Delivery format: stream (raw PDF) or base64 (JSON envelope)
Pattern:
^(stream|base64)$Response
Successful Response
⌘I